<xml> </xml>

Better ListView Class Reference |

# BetterListViewElementCollection(TElement).CopyTo Method

Copies the elements of the ICollection`1 to an Array, starting at a particular Array index.

public virtual void BetterListViewElementCollection(
TElement[] array,
int index
);

#### Parameters

array
  The one-dimensional Array that is the destination of the elements copied from ICollection`1. The Array must have zero-based indexing.
index
  The zero-based index in array at which copying begins.

#### Implements

ICollection<TElement>.CopyTo

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | array is null.
ArgumentOutOfRangeException | index is less than 0.
ArgumentException | array is multidimensional. -or- index is equal to or greater than the length of array. -or- The number of elements in the source ICollection`1 is greater than the available space from index to the end of the destination array.

#### See Also

BetterListViewElementCollection<TElement> Class | ComponentOwl.BetterListView Namespace